Index: resources/help/en/options
===================================================================
--- resources/help/en/options	(revision 4345)
+++ resources/help/en/options	(working copy)
@@ -563,6 +563,19 @@
 	that the roundabouts do not fork or overlap other roundabouts
 	and that no more than one connecting highway joins at each node.
 
+--check-routing-island-len=NUM
+	Routing islands are small road networks which are not connected to other 
+	roads. Typical case is a footway that is not connected to the main road 
+	network. These islands can cause problems if you try to calculate a route
+	and Garmin selects a point on the island as a start. It will fail to 
+	calulate the route even if a major road is only a few steps away.
+	When calculating the NOD data mkgmap detects the islands. The option
+	--check-routing-island-len=NUM can be used to tell mkgmap that islands with 
+	a total length below NUM meters should not be written to NOD. The effect is 
+	that the corresponding roads are visible as usual but they are not 
+	routable.
+	A negative value for NUM means that mkgmap skips the island check.
+
 --check-roundabout-flares
 	Check that roundabout flare roads point in the correct direction,
 	are one-way and don't extend too far.
